
/* crear el tablespace per l'usuari urisc 
   amb un datafile de 200m
*/
CREATE TABLESPACE TB_URISC 
    DATAFILE 'df_tb_urisc_01.dbf'
    SIZE 200m
    LOGGING;

/* crear un altre datafile de 40m autoextendible fins a 200m 
   del tablespace anterior */
ALTER TABLESPACE TB_URISC
    ADD DATAFILE 'df_tb_urisc_02.dbf'
    SIZE 40M AUTOEXTEND ON NEXT 20M MAXSIZE 200M;

/* tablespace temporal per l'usuari urisc */
CREATE TEMPORARY TABLESPACE TBTEMP_URISC
   TEMPFILE 'df_tbtmp_urisc.dbf' SIZE 50M AUTOEXTEND ON;


ALTER SESSION SET "_ORACLE_SCRIPT"=true;

/* creació d'usuari / esquema */
CREATE USER urisc 
    IDENTIFIED BY urisc
    DEFAULT TABLESPACE TB_URISC
    TEMPORARY TABLESPACE TBTEMP_URISC;

/* atorgar permisos/roles */
GRANT CONNECT TO urisc;
GRANT ALL PRIVILEGES TO urisc;


-- ******************************
-- USUARI DE MODIFICACIÓ DE DADES
ALTER SESSION SET "_ORACLE_SCRIPT"=true;
CREATE USER uriscdades 
    IDENTIFIED BY uriscdades
    DEFAULT TABLESPACE TB_URISC
    TEMPORARY TABLESPACE TBTEMP_URISC;

GRANT CONNECT TO uriscdades;
GRANT RESOURCE TO uriscdades;
ALTER USER uriscdades quota unlimited on TB_URISC;


-- ******************************
-- ELIMINACIÓ D'USUARIS
--alter session set "_oracle_script"=TRUE;
--DROP  USER  urisc  CASCADE;
--DROP  USER  uriscdades  CASCADE;

