
/* ****************************************************** */
/* ******************** PACKAGE HEADER ****************** */

CREATE OR REPLACE PACKAGE PKG_GR_DADES IS

  PROCEDURE P_DEPARTAMENT(IN_ABM VARCHAR2, IN_COD NUMBER, IN_DESC VARCHAR2, RSP OUT VARCHAR2);

  PROCEDURE P_PERSONA (IN_ABM  VARCHAR2, 
                       IN_COD  NUMBER,
                       IN_NOM  VARCHAR2,
                       IN_COG1 VARCHAR2,
                       IN_COG2 VARCHAR2,
                       IN_DOC  VARCHAR2,
                       IN_IDDEPT NUMBER,
                       RSP OUT VARCHAR2);
                       
  PROCEDURE P_CATEGORIA (IN_ABM VARCHAR2, 
                         IN_COD NUMBER,
                         IN_DESC VARCHAR2,
                         IN_RESP VARCHAR2,
                         RSP OUT VARCHAR2);
                         
  PROCEDURE P_DEPARTAMENT_CATEGORIA (IN_ABM VARCHAR2, 
                         IN_IDDEPT NUMBER,
                         IN_IDCAT  NUMBER,
                         RSP OUT VARCHAR2);
                      
  PROCEDURE P_CATEGORIA_IMPORTANCIA (IN_ABM VARCHAR2, 
                                     IN_IDCAT  NUMBER,
                                     IN_IDIMP  NUMBER,
                                     RSP OUT VARCHAR2);
                                     
  PROCEDURE P_CONTROLINTERN (IN_ABM VARCHAR2, 
                             IN_COD NUMBER,
                             IN_DESC VARCHAR2,
                             RSP OUT VARCHAR2);
                             
  PROCEDURE P_CONTROLINTERN_PERSONA (IN_ABM    VARCHAR2, 
                                     IN_IDCI   NUMBER,
                                     IN_IDPER  NUMBER,
                                     RSP OUT VARCHAR2);  

  PROCEDURE P_CONTROLINTERN_DPTOS_IMPLICATS (IN_ABM    VARCHAR2, 
                                             IN_IDCI   NUMBER,
                                             IN_IDCAT  NUMBER,
                                             RSP OUT VARCHAR2);

  PROCEDURE P_CONTROL_CONTROLINTERN (IN_ABM    VARCHAR2, 
                                     IN_IDCTRL NUMBER,
                                     IN_DESCCTRL VARCHAR2,
                                     IN_DATA DATE,
                                     IN_TIPCTRL NUMBER,
                                     IN_IDCI   NUMBER,
                                     IN_IDDEPT_REVISIO  NUMBER,
                                     IN_IDDEPT_EXECUCIO  NUMBER,
                                     RSP OUT VARCHAR2);

  PROCEDURE P_CAMPANYA (IN_ABM VARCHAR2, 
                        IN_COD NUMBER,
                        IN_DESC VARCHAR2,
                        IN_DINI DATE,
                        IN_DFI DATE,
                        IN_LIDER NUMBER,
                        RSP OUT VARCHAR2);

  PROCEDURE P_CAMPANYA_CONTROL (IN_ABM VARCHAR2, 
                                IN_CAMP NUMBER,
                                IN_CTRL NUMBER,
                                RSP OUT VARCHAR2);

  PROCEDURE P_RISC (IN_ABM VARCHAR2, 
                    IN_COD NUMBER,
                    IN_DESC VARCHAR2,
                    IN_DCREA DATE,
                    IN_DFI DATE,
                    IN_CAT NUMBER,
                    IN_ORIG NUMBER,
                    IN_CRIT NUMBER,
                    IN_ESTAT NUMBER,
                    IN_REVEXT NUMBER,
                    IN_ACCIO NUMBER,
                    IN_REV NUMBER,
                    IN_CTRL NUMBER,
                    IN_PERSORESP NUMBER,
                    RSP OUT VARCHAR2);

  PROCEDURE P_AUDITORIAINTERNA (IN_ABM VARCHAR2, 
                                IN_COD NUMBER,
                                IN_DESC VARCHAR2,
                                RSP OUT VARCHAR2);
                                
  PROCEDURE P_AUDITORIAINTERNA_PERSONA (IN_ABM    VARCHAR2, 
                                        IN_IDAI   NUMBER,
                                        IN_IDPER  NUMBER,
                                        RSP OUT VARCHAR2) ;

  PROCEDURE P_REVISIO(IN_ABM VARCHAR2, 
                      IN_COD NUMBER,
                      IN_DINI DATE,
                      IN_DFI DATE,
                      IN_OBJECTIU VARCHAR2,
                      IN_DAVIS DATE,
                      IN_DPTO NUMBER,
                      IN_AUDITINTERNA NUMBER,
                      IN_REVISIOEXTERNA NUMBER,
                      RSP OUT VARCHAR2);
                                        
  PROCEDURE P_REVISIO_PERSONA (IN_ABM    VARCHAR2, 
                               IN_IDREV  NUMBER,
                               IN_IDPER  NUMBER,
                               RSP OUT VARCHAR2);
                                        
  PROCEDURE P_ACCIO (IN_ABM VARCHAR2, 
                     IN_COD NUMBER,
                     IN_DESC VARCHAR2,
                     IN_NOM VARCHAR2,
                     IN_DCREA DATE,
                     IN_DTANCA DATE,
                     IN_IDESTATMITIGACIO NUMBER,
                     IN_IDRESPONSABLE NUMBER,
                     IN_IDRISC NUMBER,
                     RSP OUT VARCHAR2);
                     
  PROCEDURE P_AUDITEXTERNA (IN_ABM VARCHAR2, 
                            IN_COD NUMBER,
                            IN_NOMEMPRESA VARCHAR2,
                            RSP OUT VARCHAR2);

  PROCEDURE P_PERSONAEXTERNA (IN_ABM  VARCHAR2, 
                              IN_COD  NUMBER,
                              IN_NOM  VARCHAR2,
                              IN_COG1 VARCHAR2,
                              IN_COG2 VARCHAR2,
                              IN_DOC VARCHAR2,
                              IN_IDAUDIT NUMBER,
                              RSP OUT VARCHAR2);

  PROCEDURE P_REVISIOEXTERNA (IN_ABM  VARCHAR2, 
                       IN_COD  NUMBER,
                       IN_INICI DATE,
                       IN_FI DATE,
                       IN_COST NUMBER,
                       IN_IDAUDITEXTERNA NUMBER,
                       RSP OUT VARCHAR2);
                       
  PROCEDURE P_MOSTREIG (IN_ABM  VARCHAR2,
                        IN_INICI DATE,
                        RSP OUT VARCHAR2);
                       
END PKG_GR_DADES;


