CONNECT SYS/natxot AS SYSDBA


CREATE TABLESPACE TB_URISC_DWH
    DATAFILE 'df_tb_urisc_dwh_01.dbf'
    SIZE 200m
    LOGGING;


ALTER TABLESPACE TB_URISC_DWH
    ADD DATAFILE 'df_tb_urisc_dwh_02.dbf'
    SIZE 40M AUTOEXTEND ON NEXT 20M MAXSIZE 200M;


CREATE TEMPORARY TABLESPACE TBTEMP_URISC_DWH
   TEMPFILE 'df_tbtmp_urisc_dwh.dbf' SIZE 50M AUTOEXTEND ON;


ALTER SESSION SET "_ORACLE_SCRIPT"=true;

CREATE USER urisc_dwh
    IDENTIFIED BY urisc_dwh
    DEFAULT TABLESPACE TB_URISC_DWH
    TEMPORARY TABLESPACE TBTEMP_URISC_DWH;

GRANT CONNECT TO urisc_dwh;

GRANT ALL PRIVILEGES TO urisc_dwh;



/* 
PERMISOS SOBRE LES TAULES
*/

GRANT SELECT ON URISC.GR_RISC TO URISC_DWH;
GRANT SELECT ON URISC.GR_ESTAT TO URISC_DWH;
GRANT SELECT ON URISC.GR_CATEGORIA TO URISC_DWH;
GRANT SELECT ON URISC.GR_ORIGEN TO URISC_DWH;
GRANT SELECT ON URISC.GR_CRITICITAT TO URISC_DWH;
GRANT SELECT ON URISC.GR_PERSONA TO URISC_DWH;
GRANT SELECT ON URISC.GR_DEPARTAMENT TO URISC_DWH;
GRANT SELECT ON URISC.GR_CONTROL TO URISC_DWH;
GRANT SELECT ON URISC.GR_CONTROLINTERN TO URISC_DWH;
GRANT SELECT ON URISC.GR_TIPUSCONTROL TO URISC_DWH;
GRANT SELECT ON URISC.GR_REVISIO TO URISC_DWH;
GRANT SELECT ON URISC.GR_AUDITINTERNA TO URISC_DWH;
GRANT SELECT ON URISC.GR_REVISIOEXTERNA TO URISC_DWH;
GRANT SELECT ON URISC.GR_AUDITEXTERNA TO URISC_DWH;



