CONNECT urisc_dwh/urisc_dwh


CREATE TABLE DWH_ETL (
    ID                  NUMBER(12)      NOT NULL, 
    EXECUCIO            DATE            DEFAULT SYSDATE NOT NULL,
    PROCEDIMENT         VARCHAR2(120)   NOT NULL, 
    MARCA_TEMPS         DATE            NOT NULL,
    RSP                 VARCHAR2(40)    NOT NULL,
    CONSTRAINT DWH_EXTRACCIO_PK PRIMARY KEY (ID)
);
CREATE INDEX IDX_ETL ON DWH_ETL (EXECUCIO ASC);



CREATE TABLE DWH_RISC (
	ID NUMBER(12)      NOT NULL, 
	TIPUS VARCHAR2(1) NOT NULL, 
	DVALUE DATE NOT NULL,
    RISC_ID NUMBER(9) NOT NULL , 
	DCREACIO DATE NOT NULL , 
	DFI DATE, 
	DESCRIPCIO VARCHAR2(200) NOT NULL , 
	IMPACTE NUMBER(5), 
	ESTAT_ID NUMBER(9), 
	ESTAT_DESC VARCHAR2(50), 
	CATEGORIA_ID NUMBER(9), 
	CATEGORIA_DESC VARCHAR2(50), 
	ORIGEN_ID NUMBER(9), 
	ORIGEN_DESC VARCHAR2(50), 
	CRITICITAT_ID NUMBER(9), 
	CRITICITAT_DESC VARCHAR2(50), 
	RESPONSABLE_ID NUMBER(9), 
	RESPONSABLE_NOM VARCHAR2(120), 
	RESPONSABLE_COG1 VARCHAR2(120), 
	RESPONSABLE_COG2 VARCHAR2(120), 
	DEPARTAMENTREVISIO_ID NUMBER(9), 
	DEPARTAMENTREVISIO_DESC VARCHAR2(50), 
	DEPARTAMENTEXECUCIO_ID NUMBER(9), 
	DEPARTAMENTEXECUCIO_DESC VARCHAR2(50), 
	CONTROL_ID NUMBER(9), 
	CONTROL_DESC VARCHAR2(50), 
	CONTROL_DCREA DATE, 
	TIPUSCONTROL_ID NUMBER(9), 
	TIPUSCONTROL_DESC VARCHAR2(50), 
	CONTROL_DBAIXA DATE, 
	CONTROLINTERN_ID NUMBER(9), 
	CONTROLINTERN_DESC VARCHAR2(120), 
	CONTROLINTERN_DCREACIO DATE, 
	REVISIO_ID NUMBER(9), 
	REVISIO_OBJECTIU VARCHAR2(200), 
	REVISIO_DINICI DATE, 
	REVISIO_DFI DATE, 
	REVISIO_DAVIS DATE, 
	DEPARTAMENTIMPLICAT_ID NUMBER(9), 
	DEPARTAMENTIMPLICAT_DESC VARCHAR2(50), 
	AUDITINTERNA_ID NUMBER(9), 
	AUDITINTERNA_DESC VARCHAR2(120), 
	REVISIOEXTERNA_ID NUMBER(9), 
	REVISIOEXTERNA_DINICI DATE, 
	REVISIOEXTERNA_DFI DATE, 
	REVISIOEXTERNA_COST NUMBER(12,2), 
	AUDITEXTERNA_ID NUMBER(9), 
	AUDITEXTERNA_NOMEMPRESA VARCHAR2(200), 
	TOTAL_ACCIONS NUMBER,
	CONSTRAINT CHECK_TIPUS CHECK (TIPUS IN ('H', 'A')),
	CONSTRAINT DWH_RISC_PK PRIMARY KEY (ID)
);
CREATE INDEX IDX_RISC_ACTIU ON DWH_RISC (TIPUS);


CREATE TABLE DWH_RISC_IMPACTE_4 (
	ESTAT VARCHAR2(40) NOT NULL,
	PRCT NUMBER(9,2) NOT NULL,
	CONSTRAINT DWH_RISC_IMPACTE_4_PK PRIMARY KEY (ESTAT)
);

CREATE TABLE DWH_RISC_IMPACTE_1_X_ANY (
	ANYO NUMBER NOT NULL,
	TOTAL NUMBER(9,2) NOT NULL,
	CONSTRAINT DWH_RISC_IMPACTE_1_X_ANY_PK PRIMARY KEY (ANYO)
);

CREATE TABLE DWH_DEPARTAMENT_DADES (
	ID NUMBER NOT NULL,
	DESCRIPCIO VARCHAR2(80) NOT NULL,
	NUM_REV_EXT NUMBER,
	CONSTRAINT DWH_DEPARTAMENT_DADES_PK PRIMARY KEY (ID)	
);

CREATE TABLE DWH_ACCIO_X_ANY (
	ANYO NUMBER NOT NULL,
	TIPUS_ID NUMBER NOT NULL,
	TIPUS_DESC VARCHAR2(80) NOT NULL,
	TOTAL NUMBER(9,2) NOT NULL,
	CONSTRAINT DWH_ACCIO_X_ANY_PK PRIMARY KEY (ANYO, TIPUS_ID)
);

CREATE TABLE DWH_ANY_IMPACTE_ORIGEN (
	ANYO NUMBER NOT NULL,
	IMPACTE NUMBER NOT NULL,
	TOTAL_AUDIT_INTERNA NUMBER NOT NULL,
	TOTAL_AUDIT_EXTERNA NUMBER NOT NULL,
	TOTAL_AUTOEVALUACIO NUMBER NOT NULL,
	CONSTRAINT DWH_ANY_IMPACTE_ORIGEN_PK PRIMARY KEY (ANYO, IMPACTE)
);


CREATE TABLE DWH_PERSONA_ACCIO (
	PERSONA_ID NUMBER NOT NULL,
	PERSONA_NOM VARCHAR2(200) NOT NULL,
	ACCIO_ID NUMBER NOT NULL,
	ACCIO_ESTAT VARCHAR2(90) NOT NULL,
	ACCIO_TOTALS NUMBER,
	CONSTRAINT DWH_PERSONA_ACCIO_PK PRIMARY KEY (PERSONA_ID, ACCIO_ID)
);

CREATE TABLE DWH_MOSTREIG (
	ANYO NUMBER NOT NULL,
	TOTAL NUMBER NOT NULL,
	CONSTRAINT DWH_MOSTREIG_PK PRIMARY KEY (ANYO)
);


CREATE TABLE DWH_RISC_CAT_ORIG_X_ANY (
	ANYO NUMBER NOT NULL,
	CATEGORIA_ID NUMBER NULL,
	CATEGORIA_DESC VARCHAR2(90) NOT NULL, 
	ORIGEN_ID NUMBER NOT NULL, 
	ORIGEN_DESC VARCHAR2(90) NOT NULL, 
	TOTAL NUMBER,
	CONSTRAINT DWH_RISC_CAT_ORIG_X_ANY_PK PRIMARY KEY (ANYO,CATEGORIA_ID,ORIGEN_ID)
);


CREATE TABLE DWH_AUDITEXTERNA_X_ANY (
	ANYO NUMBER NOT NULL, 
	TOTAL NUMBER NOT NULL, 
	COST_MITJA NUMBER NOT NULL,
	CONSTRAINT DWH_AUDITEXTERNA_X_ANY_PK PRIMARY KEY (ANYO)
);


CREATE TABLE DWH_ACCIO_ESTAT_X_ANY (
	ANYO NUMBER NOT NULL, 
	ESTATMITIGACIO_ID NUMBER NOT NULL, 
	ESTATMITIGACIO_DESC VARCHAR2(90) NOT NULL,
    TOTAL NUMBER NOT NULL,
	CONSTRAINT DWH_ACCIO_ESTAT_X_ANY_PK PRIMARY KEY (ANYO, ESTATMITIGACIO_ID)
);


CREATE TABLE DWH_JSON (
  CONTINGUT_TXT CLOB, 
  CONTINGUT_JSON CLOB,
  CONSTRAINT DWH_JSON_CK CHECK (CONTINGUT_JSON IS JSON)
);
